
<div [formGroup]="form">
  <mat-accordion>
    <mat-expansion-panel [expanded]="true" class="mb-2">
      <mat-expansion-panel-header collapsedHeight="inherit" expandedHeight="inherit" class="card-header py-2 px-3">
        <mat-panel-title><h6>Material Requisition Details</h6></mat-panel-title>
      </mat-expansion-panel-header>
      <div>
        <h6>Device-Order: {{deviceFtn}}</h6>
      </div>
      <div>
        <h6>Requisition: {{reqNbr}}</h6>
      </div>
      <h6 *ngIf="domesticCD">International Special Handling</h6>
      <div class="form-row" *ngIf="domesticCD">
        <div class="form-group form-group-sm row col-24 col-lg-10">
          <label class="col-form-label col-24 col-lg-8">DDU: </label>
          <div class="col-24 col-lg-12"><label>{{ddu}}</label></div>
        </div>
        <div class="form-group form-group-sm row col-24 col-lg-10">
          <label class="col-form-label col-24 col-lg-8">DDR: </label>
          <div class="col-24 col-lg-12"><label>{{ddr}}</label></div>
        </div>
      </div>

      <!-- Order Information -->
      <mat-accordion>
        <mat-expansion-panel [expanded]="true" class="mb-3">
          <mat-expansion-panel-header collapsedHeight="inherit" expandedHeight="inherit" class="card-header py-2 px-3">
            <mat-panel-title><h6>Order Information</h6></mat-panel-title>
          </mat-expansion-panel-header>
          <div class="form-row">
            <div class="form-group form-group-sm row col-24 col-lg-10">
              <label class="col-form-label col-24 col-lg-8">Order ID: </label>
              <div class="col-24 col-lg-12">
                <label>{{deviceFtn}}</label>
              </div>
            </div>
            <div class="form-group form-group-sm row col-24 col-lg-10">
              <label class="col-form-label col-24 col-lg-8">Cust Commit Date: </label>
              <div class="col-24 col-lg-12">
                <label>{{ccd | date:'MM/dd/yyyy'}}</label>
              </div>
            </div>
          </div>
          <div class="form-row">
            <div class="form-group form-group-sm row col-24 col-lg-10">
              <label class="col-form-label col-24 col-lg-8">Customer Name: </label>
              <div class="col-24 col-lg-12"><label>{{customerName}}</label></div>
            </div>
            <div class="form-group form-group-sm row col-24 col-lg-10">
              <label class="col-form-label col-24 col-lg-8 text-danger">RAS Date: </label>
              <div class="col-24 col-lg-12">
                <dx-date-box type="datetime"
                             [acceptCustomValue]="false"
                             displayFormat="MM/dd/yyyy"
                             width="100%"
                             [useMaskBehavior]="true"
                             formControlName="rasDate"
                             [value]="rasDateValue">
                </dx-date-box>
                <!--<input type="text" class="form-control form-control-sm" formControlName="rasDate" [value]="rasDateValue" />-->
              </div>
            </div>
          </div>
          <div class="form-row">
            <div class="form-group form-group-sm row col-24 col-lg-10" *ngIf="!domesticCD">
              <label class="col-form-label col-24 col-lg-8">Domestic Ship-to CLLI: </label>
              <div class="col-24 col-lg-12">
                <dx-select-box [items]="domesticClliList" formControlName="domesticShiptoClli"
                               displayExpr="clliCd" valueExpr="clliCd" searchMode="startswith"
                               [searchEnabled]="true" [searchExpr]="['clliCd']"
                               (onSelectionChanged)="onDomesticClliChanged($event)"></dx-select-box>
              </div>
            </div>
            <div class="form-group form-group-sm row col-24 col-lg-10" *ngIf="domesticCD">
              <label class="col-form-label col-24 col-lg-8">Intl Ship-to CLLI: </label>
              <div class="col-24 col-lg-12">
                <dx-select-box [items]="internationalClliList" formControlName="internationalShiptoClli"
                               displayExpr="clliCd" valueExpr="clliCd" searchMode="startswith"
                               [searchEnabled]="true" [searchExpr]="['clliCd']"
                               (onSelectionChanged)="onInternationalClliChanged($event)"></dx-select-box>
              </div>
            </div>
            <div class="form-group form-group-sm row col-24 col-lg-10">
              <label class="col-form-label col-24 col-lg-8 text-danger">ELID: </label>
              <div class="col-24 col-lg-12">
                <input type="text" class="form-control form-control-sm" formControlName="elid" [(ngModel)]="elid" />
              </div>
            </div>
          </div>
          <div class="form-row">
            <div class="form-group form-group-sm row col-24 col-lg-10">
              <label class="col-form-label col-24 col-lg-8"></label>
              <div class="col-24 col-lg-12">
                <dx-check-box formControlName="chkInstallAddr" [value]="chkInstallAddr"
                              text="Use Clli Code and send install Addr." (onValueChanged)="chkInstallAddrValueChangedHandler($event)">
                </dx-check-box>
              </div>
            </div>
            <div class="form-group form-group-sm row col-24 col-lg-10">
              <label class="col-form-label col-24 col-lg-8">Reference Number: </label>
              <div class="col-24 col-lg-12">
                <input type="text" class="form-control form-control-sm" formControlName="referenceNumber" />
              </div>
            </div>
          </div>
          <div class="form-row">
            <div class="form-group form-group-sm row col-24 col-lg-10">
              <label class="col-form-label col-24 col-lg-8"></label>
              <div class="col-24 col-lg-12">
                <dx-check-box formControlName="chkShipAddr" [value]="chkShipAddr"
                              text="No Clli and send Ship Addr." (onValueChanged)="chkShipAddrValueChangedHandler($event)">
                </dx-check-box>
              </div>
            </div>
            <div class="form-group form-group-sm row col-24 col-lg-10">
              <label class="col-form-label col-24 col-lg-8">RFQ Indicator: </label>
              <div class="col-24 col-lg-12">
                <input type="text" class="form-control form-control-sm" formControlName="rfqIndicator" />
              </div>
            </div>
          </div>

          <div *ngIf="chkInstallAddr" class="field-set">
            <div class="form-row">
              <div class="form-group form-group-sm row col-24 col-lg-10">
                <label class="col-form-label col-24 col-lg-8">Name: </label>
                <div class="col-24 col-lg-12">
                  <input type="text" class="form-control form-control-sm" formControlName="name" [value]="customerName" />
                </div>
              </div>
              <div class="form-group form-group-sm row col-24 col-lg-10">
                <label class="col-form-label col-24 col-lg-8">Phone: </label>
                <div class="col-24 col-lg-12">
                  <input type="text" class="form-control form-control-sm" formControlName="phone" />
                </div>
              </div>
            </div>
            <div class="form-row">
              <div class="form-group form-group-sm row col-24 col-lg-10">
                <label class="col-form-label col-24 col-lg-8">Install Addr 1: </label>
                <div class="col-24 col-lg-12"><label>{{address1}}</label></div>
              </div>
              <div class="form-group form-group-sm row col-24 col-lg-10">
                <label class="col-form-label col-24 col-lg-8">Install City: </label>
                <div class="col-24 col-lg-12"><label>{{city}}</label></div>
              </div>
            </div>
            <div class="form-row">
              <div class="form-group form-group-sm row col-24 col-lg-10">
                <label class="col-form-label col-24 col-lg-8">Install Addr 2: </label>
                <div class="col-24 col-lg-12"><label>{{address2}}</label></div>
              </div>
              <div class="form-group form-group-sm row col-24 col-lg-10">
                <label class="col-form-label col-24 col-lg-8">Install Country: </label>
                <div class="col-24 col-lg-12"><label>{{country}}</label></div>
              </div>
            </div>
            <div class="form-row">
              <div class="form-group form-group-sm row col-24 col-lg-10">
                <label class="col-form-label col-24 col-lg-8">Install Addr 3: </label>
                <div class="col-24 col-lg-12"><label>{{address3}}</label></div>
              </div>
              <div class="form-group form-group-sm row col-24 col-lg-10">
                <label class="col-form-label col-24 col-lg-8">Install State: </label>
                <div class="col-24 col-lg-12"><label>{{state}}</label></div>
              </div>
            </div>
            <div class="form-row">
              <div class="form-group form-group-sm row col-24 col-lg-10">
                <label class="col-form-label col-24 col-lg-8">Install Bldg: </label>
                <div class="col-24 col-lg-12"><label>{{building}}</label></div>
              </div>
              <div class="form-group form-group-sm row col-24 col-lg-10">
                <label class="col-form-label col-24 col-lg-8">Install ZIP: </label>
                <div class="col-24 col-lg-12"><label>{{zip}}</label></div>
              </div>
            </div>
            <div class="form-row">
              <div class="form-group form-group-sm row col-24 col-lg-10">
                <label class="col-form-label col-24 col-lg-8">Install Flr: </label>
                <div class="col-24 col-lg-12"><label>{{floor}}</label></div>
              </div>
              <div class="form-group form-group-sm row col-24 col-lg-10">
                <label class="col-form-label col-24 col-lg-8">Install Province: </label>
                <div class="col-24 col-lg-12"><label>{{province}}</label></div>
              </div>
            </div>
            <div class="form-row">
              <div class="form-group form-group-sm row col-24 col-lg-10">
                <label class="col-form-label col-24 col-lg-8">Install Rm: </label>
                <div class="col-24 col-lg-12"><label>{{room}}</label></div>
              </div>
            </div>
          </div>

          <div *ngIf="chkShipAddr" class="field-set">
            <div class="form-row">
              <div class="form-group form-group-sm row col-24 col-lg-10">
                <label class="col-form-label col-24 col-lg-8 text-danger">Delivery Name: </label>
                <div class="col-24 col-lg-12">
                  <input type="text" class="form-control form-control-sm" formControlName="deliveryName" [value]="customerName" />
                </div>
              </div>
              <div class="form-group form-group-sm row col-24 col-lg-10">
                <label class="col-form-label col-24 col-lg-8">Delivery Phone: </label>
                <div class="col-24 col-lg-12">
                  <input type="text" class="form-control form-control-sm" formControlName="deliveryPhone" [value]="phone" />
                </div>
              </div>
            </div>
            <div class="form-row">
              <div class="form-group form-group-sm row col-24 col-lg-10">
                <label class="col-form-label col-24 col-lg-8 text-danger">Delivery Addr 1: </label>
                <div class="col-24 col-lg-12">
                  <input type="text" class="form-control form-control-sm" formControlName="deliveryAddr1" />
                </div>
              </div>
              <div class="form-group form-group-sm row col-24 col-lg-10">
                <label class="col-form-label col-24 col-lg-8 text-danger">Delivery City: </label>
                <div class="col-24 col-lg-12">
                  <input type="text" class="form-control form-control-sm" formControlName="deliveryCity" />
                </div>
              </div>
            </div>
            <div class="form-row">
              <div class="form-group form-group-sm row col-24 col-lg-10">
                <label class="col-form-label col-24 col-lg-8">Delivery Addr 2: </label>
                <div class="col-24 col-lg-12">
                  <input type="text" class="form-control form-control-sm" formControlName="deliveryAddr2" />
                </div>
              </div>
              <div class="form-group form-group-sm row col-24 col-lg-10">
                <label class="col-form-label col-24 col-lg-8 text-danger">Delivery Country: </label>
                <div class="col-24 col-lg-12">
                  <input type="text" class="form-control form-control-sm" formControlName="deliveryCountry" />
                </div>
              </div>
            </div>
            <div class="form-row">
              <div class="form-group form-group-sm row col-24 col-lg-10">
                <label class="col-form-label col-24 col-lg-8">Delivery Addr 3: </label>
                <div class="col-24 col-lg-12">
                  <input type="text" class="form-control form-control-sm" formControlName="deliveryAddr3" />
                </div>
              </div>
              <div class="form-group form-group-sm row col-24 col-lg-10">
                <label class="col-form-label col-24 col-lg-8">Delivery State: </label>
                <div class="col-24 col-lg-12">
                  <input type="text" class="form-control form-control-sm" formControlName="deliveryState" />
                </div>
              </div>
            </div>
            <div class="form-row">
              <div class="form-group form-group-sm row col-24 col-lg-10">
                <label class="col-form-label col-24 col-lg-8">Delivery Bldg: </label>
                <div class="col-24 col-lg-12">
                  <input type="text" class="form-control form-control-sm" formControlName="deliveryBldg" />
                </div>
              </div>
              <div class="form-group form-group-sm row col-24 col-lg-10">
                <label class="col-form-label col-24 col-lg-8">Delivery ZIP: </label>
                <div class="col-24 col-lg-12">
                  <input type="text" class="form-control form-control-sm" formControlName="deliveryZip" />
                </div>
              </div>
            </div>
            <div class="form-row">
              <div class="form-group form-group-sm row col-24 col-lg-10">
                <label class="col-form-label col-24 col-lg-8">Delivery Flr: </label>
                <div class="col-24 col-lg-12">
                  <input type="text" class="form-control form-control-sm" formControlName="deliveryFlr" />
                </div>
              </div>
              <div class="form-group form-group-sm row col-24 col-lg-10">
                <label class="col-form-label col-24 col-lg-8">Delivery Province: </label>
                <div class="col-24 col-lg-12">
                  <input type="text" class="form-control form-control-sm" formControlName="deliveryProvince" />
                </div>
              </div>
            </div>
            <div class="form-row">
              <div class="form-group form-group-sm row col-24 col-lg-10">
                <label class="col-form-label col-24 col-lg-8">Delivery Rm: </label>
                <div class="col-24 col-lg-12">
                  <input type="text" class="form-control form-control-sm" formControlName="deliveryRm" />
                </div>
              </div>
            </div>
          </div>
        </mat-expansion-panel>
      </mat-accordion>

      <!-- Shipping Instructions -->
      <mat-accordion>
        <mat-expansion-panel [expanded]="true" class="mb-3">
          <mat-expansion-panel-header collapsedHeight="inherit" expandedHeight="inherit" class="card-header py-2 px-3">
            <mat-panel-title><h6>Shipping Instructions</h6></mat-panel-title>
          </mat-expansion-panel-header>
          <div class="form-group form-group-sm row col-24">
            <label class="col-form-label col-24 col-lg-4">Shipping Instructions to print on PO: </label>
            <div class="col-24 col-lg-20 pl-0 pl-lg-3">
              <textarea rows="5" class="form-control form-control-sm" formControlName="shippingInstructions" [(ngModel)]="shippingInstructions" maxlength="490"></textarea>
              <small class="form-text text-muted">{{ shippingInstructions.length > 490 ? 0 : (490 - shippingInstructions.length) | number }} character(s) left!</small>
              <small>These instructions will be printed on the PO. No special characters or line returns.ONLY A-Z, 0-9 and space. ANYTHING else will be replaced with a space during processing.490 Chars Max. </small>
            </div>
          </div>
        </mat-expansion-panel>
      </mat-accordion>

      <!-- Apply Values to all Line Items -->
      <mat-accordion>
        <mat-expansion-panel [expanded]="true" class="mb-3">
          <mat-expansion-panel-header collapsedHeight="inherit" expandedHeight="inherit" class="card-header py-2 px-3">
            <mat-panel-title><h6>Apply Values to all Line Items</h6></mat-panel-title>
          </mat-expansion-panel-header>
          <div class="form-row">
            <div class="form-group form-group-sm row col-24 col-lg-10">
              <label class="col-form-label col-24 col-lg-8 text-danger">Business Unit: </label>
              <div class="col-24 col-lg-12">
                <input type="text" class="form-control form-control-sm" formControlName="businessUnitGL" [value]="businessUnitGL" />
                <small>Charge to GL Business Unit.</small>
              </div>
            </div>
            <div class="form-group form-group-sm row col-24 col-lg-10">
              <label class="col-form-label col-24 col-lg-8">PC Business Unit: </label>
              <div class="col-24 col-lg-12">
                <input type="text" class="form-control form-control-sm" formControlName="businessUnitPC" [value]="businessUnitPC" />
                <small>These will be 5 digits representing Network IT,Real Estate/Retail, Other G&A, Rebanding, etc. </small>
              </div>
            </div>
          </div>
          <div class="form-row">
            <div class="form-group form-group-sm row col-24 col-lg-10">
              <label class="col-form-label col-24 col-lg-8 text-danger">Cost Center: </label>
              <div class="col-24 col-lg-12">
                <input type="text" class="form-control form-control-sm" formControlName="costCenter" [value]="costCenter" />
                <small>Cost center that will receive this charge in the GL.</small>
              </div>
            </div>
            <div class="form-group form-group-sm row col-24 col-lg-10">
              <label class="col-form-label col-24 col-lg-8">Region: </label>
              <div class="col-24 col-lg-12">
                <input type="text" class="form-control form-control-sm" formControlName="region" [value]="region" />
                <small>Ext. of distribution account.</small>
              </div>
            </div>
          </div>
          <br />
          <div>
            <h6 class="mb-3">Select Items to send to SCM</h6>
          </div>
          <div class="row">
            <!--<dx-data-grid #grid id="grid" [dataSource]="matReqLineItems" keyExpr="cmpnT_ID" [columnAutoWidth]="true"
                          [rowAlternationEnabled]="true" [showBorders]="true" [wordWrapEnabled]="true"
                          (onSelectionChanged)="selectionChangedHandler($event)"
                          (onRowUpdating)="saveForm($event)"
                          (onContentReady)="contentReadyHandler($event)">
              <dxo-selection mode="multiple" showCheckBoxesMode="always" selectAllMode="page"></dxo-selection>
              <dxo-scrolling mode="standard" showScrollbar="always" useNative="false"></dxo-scrolling>
              <dxo-editing mode="form" [useIcons]="true" [allowUpdating]="true">
                <dxo-form>
                  <dxi-item dataField="cmpnT_ID" [colSpan]="1"></dxi-item>
                  <dxi-item dataField="itM_DES" [colSpan]="1"></dxi-item>
                  <dxi-item dataField="unT_MSR" [colSpan]="1"></dxi-item>
                  <dxi-item dataField="actvy" [colSpan]="1"></dxi-item>
                  <dxi-item dataField="unT_PRICE" [colSpan]="1"></dxi-item>
                  <dxi-item dataField="sourcE_TYP" [colSpan]="1"></dxi-item>
                  <dxi-item dataField="rsrC_CAT" [colSpan]="1"></dxi-item>
                  <dxi-item dataField="proJ_ID" [colSpan]="1"></dxi-item>
                  <dxi-item dataField="acct" [colSpan]="1"></dxi-item>
                  <dxi-item dataField="prodct" [colSpan]="1"></dxi-item>
                </dxo-form>
              </dxo-editing>
              <dxo-paging [pageSize]="50"></dxo-paging>
              <dxo-pager [showPageSizeSelector]="true" [allowedPageSizes]="[25, 50, 100]"></dxo-pager>
              <dxo-search-panel [visible]="true" [highlightCaseSensitive]="true"></dxo-search-panel>
              <dxi-column type="buttons" [buttons]="['edit']" headerCellTemplate="editHeaderTemplate"></dxi-column>
              <dxi-column dataField="ordR_QTY" caption="QTY" dataType="string"></dxi-column>
              <dxi-column dataField="manF_ID" caption="PS Mfg ID" dataType="string"></dxi-column>
              <dxi-column dataField="manF_PART_NBR" caption="Manf Part #" dataType="string"></dxi-column>
              <dxi-column dataField="itM_DES" caption="Description" dataType="string" [allowEditing]="false"></dxi-column>
              <dxi-column dataField="maT_CD" caption="Mat Code" dataType="string"></dxi-column>
              <dxi-column dataField="manF_DISCNT_CD" caption="Discount" dataType="string"></dxi-column>

              <dxi-column dataField="cmpnT_ID" caption="Additional Fields for Cmpnt ID" dataType="string" [visible]="false" [allowEditing]="false"></dxi-column>
              <dxi-column dataField="itM_DES" caption="Item Description" dataType="string" [visible]="false" [allowEditing]="false"></dxi-column>
              <dxi-column dataField="unT_MSR" caption="Unit of Measure" dataType="string" [visible]="false"></dxi-column>
              <dxi-column dataField="actvy" caption="Activity" dataType="string" [visible]="false"></dxi-column>
              <dxi-column dataField="unT_PRICE" caption="Unit of Price" dataType="string" [visible]="false"></dxi-column>
              <dxi-column dataField="sourcE_TYP" caption="Source Type" dataType="string" [visible]="false"></dxi-column>
              <dxi-column dataField="sourcE_TYP" caption="Suggested Vendor" [visible]="false">
                <dxo-lookup [dataSource]="vendorList" valueExpr="lkVndrScmId" displayExpr="vndrNme">
                </dxo-lookup>
              </dxi-column>
              <dxi-column dataField="rsrC_CAT" caption="Resource Category" dataType="string" [visible]="false">
                This value will be the 1st 5 digits of the asset class. Ex. (BTS = 29221)
                Install at location allows different values at line level.If install at is blank at the line, and there is free form address for shiptoor install at at the header, populate install at using free form address.If install at is blank at the line and there is no free form address,populate the install at using shipto code.
              </dxi-column>
              <dxi-column caption="Install at Code / Sprint LOC, CLLI, MailStop, or Wire Center: " dataType="string" [visible]="false"></dxi-column>
              <dxi-column caption="Resource Subcategory" dataType="string" [visible]="false"></dxi-column>
              This value will be optional and used by thebusiness to further breakdown Category as needed.
              <dxi-column dataField="proJ_ID" caption="Project ID" dataType="string" [visible]="false"></dxi-column>
              <dxi-column caption="Contract ID: " dataType="string" [visible]="false"></dxi-column>
              <dxi-column dataField="acct" caption="Account" dataType="string" [visible]="false"></dxi-column>
              <dxi-column caption="Contract Line Number" dataType="string" [visible]="false"></dxi-column>
              <dxi-column dataField="prodct" caption="Product" dataType="string" [visible]="false"></dxi-column>
              <dxi-column caption="Auxiliary ID" dataType="string" [visible]="false"></dxi-column>

              <dxi-column dataField="Line Item Notes"
                          [visible]="false">
                <dxo-form-item [colSpan]="2"
                               editorType="dxTextArea"
                               [editorOptions]="{ height: 100 }">
                </dxo-form-item>
              </dxi-column>
              <div *dxTemplate="let data of 'editHeaderTemplate'">
                <div>Edit</div>
              </div>
            </dx-data-grid>-->
            <dx-data-grid #grid id="grid" [dataSource]="matReqLineItems" keyExpr="cmpnT_ID" [columnAutoWidth]="true"
                          [rowAlternationEnabled]="true" [showBorders]="true" [wordWrapEnabled]="true"
                          (onSelectionChanged)="selectionChangedHandler($event)"
                          (onRowUpdating)="saveForm($event)"
                          (onContentReady)="contentReadyHandler($event)"
                          (onCellClick)="onSearchCellClick($event)">
              <dxo-sorting mode="multiple"></dxo-sorting>
              <dxo-selection mode="multiple" showCheckBoxesMode="always" selectAllMode="page"></dxo-selection>
              <dxo-paging [pageSize]="50"></dxo-paging>
              <dxo-pager [showPageSizeSelector]="true" [allowedPageSizes]="[25, 50, 100]"></dxo-pager>
              <dxo-scrolling mode="standard" showScrollbar="always" useNative="false"></dxo-scrolling>
              <dxi-column dataField="devicE_ID" caption="Device ID" dataType="string"></dxi-column>
              <dxi-column dataField="ordR_QTY" caption="QTY" dataType="string"></dxi-column>
              <dxi-column dataField="manF_ID" caption="PS Mfg ID" dataType="string"></dxi-column>
              <dxi-column dataField="manF_PART_NBR" caption="Manf Part #" dataType="string"></dxi-column>
              <dxi-column dataField="itM_DES" caption="Description" dataType="string" [allowEditing]="false"></dxi-column>
              <dxi-column dataField="maT_CD" caption="Mat Code" dataType="string"></dxi-column>
              <dxi-column dataField="manF_DISCNT_CD" caption="Discount" dataType="string"></dxi-column>
              <dxi-column type="buttons" caption="Edit">
                <dxi-button hint="Edit" icon="edit" [onClick]="onSearchEditClick"></dxi-button>
              </dxi-column>

            </dx-data-grid>
          </div>
        </mat-expansion-panel>
      </mat-accordion>

      <input type="hidden" class="form-control form-control-sm" formControlName="hdnMrkPkg" />


    </mat-expansion-panel>
  </mat-accordion>

  <div class="modal fade" id="folderDetails" tabindex="-1" role="dialog" aria-hidden="true">
    <div class="modal-dialog modal-xl" role="document">
      <div class="modal-content">
        <!--<div class="modal-header">
          <h5 class="modal-title">{{ id > 0 ? (isView ? 'View' : 'Update') : 'Create' }} H5 Folder</h5>
          <button type="button" class="close" data-dismiss="modal" aria-label="Close">
            <span aria-hidden="true">&times;</span>
          </button>
        </div>-->
        <div class="modal-body">
          <mat-accordion>
            <mat-expansion-panel [expanded]="true" class="mb-3">
              <mat-expansion-panel-header collapsedHeight="inherit" expandedHeight="inherit" class="card-header py-2 px-3">
                <mat-panel-title><h6>CPE Req Line Items - Form</h6></mat-panel-title>
              </mat-expansion-panel-header>
              <div formGroupName="edit">
                <div>
                  <h6 class="mb-3">Additional Fields for Cmpnt ID: {{componentId}}</h6>
                </div>
                <div>
                  <h6 class="mb-3">Item Description: {{itemDescription}}</h6>
                </div>
                <!--Additional Fields for Cmpnt ID: {{componentId}} <br />
                Item Description: {{itemDescription}}-->
                <div class="form-row">
                  cl
                  <div class="form-group form-group-sm row col-24 col-lg-12">
                    <label class="col-form-label col-24 col-lg-8">Unit of Measure: </label>
                    <div class="col-24 col-lg-16 pl-0 pl-lg-1">
                      <input type="text" class="form-control form-control-sm" formControlName="unitOfMeasure" />
                      <small>Must have a unit or measure if no material code.</small>
                    </div>
                  </div>
                  <div class="form-group form-group-sm row col-24 col-lg-12">
                    <label class="col-form-label col-24 col-lg-8">Activity: </label>
                    <div class="col-24 col-lg-16 pl-0 pl-lg-1">
                      <input type="text" class="form-control form-control-sm" formControlName="activity" />
                      <small>This will represent type of work effort, especially for labor. Ex. (EQUIPMENT, RENT, UTILITIES, ATLAS_SEQP, SOFTWARE_CAP, ADMIN)</small>
                    </div>
                  </div>
                </div>

                <div class="form-row">
                  <div class="form-group form-group-sm row col-24 col-lg-12">
                    <label class="col-form-label col-24 col-lg-8">Unit of Price: </label>
                    <div class="col-24 col-lg-16 pl-0 pl-lg-1">
                      <input type="text" class="form-control form-control-sm" formControlName="unitOfPrice" />
                      <small>Must have a price if you don't have a material code: format sent 999999999999999, format loaded 9999999999.99999</small>
                    </div>
                  </div>
                  <div class="form-group form-group-sm row col-24 col-lg-12">
                    <label class="col-form-label col-24 col-lg-8">Source Type: </label>
                    <div class="col-24 col-lg-16 pl-0 pl-lg-1">
                      <input type="text" class="form-control form-control-sm" formControlName="sourceType" />
                      <small>Previously known as resource type - 5 characters. Ex. (LABOR, MATER, IDC, ILBR, CONLB)</small>
                    </div>
                  </div>
                </div>

                <div class="form-row">
                  <div class="form-group form-group-sm row col-24 col-lg-12">
                    <label class="col-form-label col-24 col-lg-8">Suggested Vendor: </label>
                    <div class="col-24 col-lg-16 pl-0 pl-lg-1">
                      <dx-select-box [items]="vendorList" formControlName="suggestedVendor"
                                     displayExpr="vndrNme" valueExpr="lkVndrScmId" searchMode="startswith"
                                     [searchEnabled]="true" [searchExpr]="['vndrNme']"
                                     (onSelectionChanged)="onVendorCodeChanged($event)"></dx-select-box>
                    </div>
                  </div>
                  <div class="form-group form-group-sm row col-24 col-lg-12">
                    <label class="col-form-label col-24 col-lg-8">Resource Category: </label>
                    <div class="col-24 col-lg-16 pl-0 pl-lg-1">
                      <input type="text" class="form-control form-control-sm" formControlName="resourceCategory" />
                      <small>This value will be the 1st 5 digits of the asset class. Ex. (BTS = 29221)</small>
                    </div>
                  </div>
                </div>

                <div class="form-row">
                  <div class="form-group form-group-sm row col-24 col-lg-12">
                    <label class="col-form-label col-24 col-lg-8">Install at Code / Sprint LOC, CLLI, MailStop, or Wire Center: </label>
                    <div class="col-24 col-lg-16 pl-0 pl-lg-1">
                      <input type="text" class="form-control form-control-sm" formControlName="installCode" />
                      <small>Install at location allows different values at line level. If install at is blank at the line, and there is free form address for shipto or install at at the header, populate install at using free form address. If install at is blank at the line and there is no free form address, populate the install at using shipto code.</small>
                    </div>
                  </div>
                  <div class="form-group form-group-sm row col-24 col-lg-12">
                    <label class="col-form-label col-24 col-lg-8">Resource Subcategory: </label>
                    <div class="col-24 col-lg-16 pl-0 pl-lg-1">
                      <input type="text" class="form-control form-control-sm" formControlName="resourceSubcategory" />
                      <small>This value will be optional and used by the business to further breakdown Category as needed.</small>
                    </div>
                  </div>
                </div>

                <div class="form-row">
                  <div class="form-group form-group-sm row col-24 col-lg-12">
                    <label class="col-form-label col-24 col-lg-8">Project ID: </label>
                    <div class="col-24 col-lg-16 pl-0 pl-lg-1">
                      <input type="text" class="form-control form-control-sm" formControlName="projectId" />
                      <small>Project ID used by Project Costing.</small>
                    </div>
                  </div>
                  <div class="form-group form-group-sm row col-24 col-lg-12">
                    <label class="col-form-label col-24 col-lg-8">Contract ID: </label>
                    <div class="col-24 col-lg-16 pl-0 pl-lg-1">
                      <input type="text" class="form-control form-control-sm" formControlName="contractId" />
                      <small>Contract ID must be a valid and approved contract ID in PS_Z_PO_CNTR_VW table.</small>
                    </div>
                  </div>
                </div>

                <div class="form-row">
                  <div class="form-group form-group-sm row col-24 col-lg-12">
                    <label class="col-form-label col-24 col-lg-8">Account: </label>
                    <div class="col-24 col-lg-16 pl-0 pl-lg-1">
                      <input type="text" class="form-control form-control-sm" formControlName="account" />
                      <small>Natural account that describes this charge in the GL.</small>
                    </div>
                  </div>
                  <div class="form-group form-group-sm row col-24 col-lg-12">
                    <label class="col-form-label col-24 col-lg-8">Contract Line Number: </label>
                    <div class="col-24 col-lg-16 pl-0 pl-lg-1">
                      <input type="text" class="form-control form-control-sm" formControlName="contractLineNumber" />
                    </div>
                  </div>
                </div>

                <div class="form-row">
                  <div class="form-group form-group-sm row col-24 col-lg-12">
                    <label class="col-form-label col-24 col-lg-8">Product: </label>
                    <div class="col-24 col-lg-16 pl-0 pl-lg-1">
                      <input type="text" class="form-control form-control-sm" formControlName="product" />
                      <small>Project ID used by Project Costing.</small>
                    </div>
                  </div>
                  <div class="form-group form-group-sm row col-24 col-lg-12">
                    <label class="col-form-label col-24 col-lg-8">Auxiliary ID: </label>
                    <div class="col-24 col-lg-16 pl-0 pl-lg-1">
                      <input type="text" class="form-control form-control-sm" formControlName="auxiliaryId" />
                      <small>Auxiliary ID (CISCO REQ)</small>
                    </div>
                  </div>
                </div>

                <div class="form-row">
                  <div class="form-group form-group-sm row col-24">
                    <label class="col-form-label col-24 col-lg-4">Line Item Notes: </label>
                    <div class="col-24 col-lg-20 pl-0 pl-lg-1">
                      <textarea rows="5" class="form-control form-control-sm" formControlName="lineItemNotes" [(ngModel)]="lineItemNotes" maxlength="512"></textarea>
                      <small class="form-text text-muted">{{ shippingInstructions.length > 512 ? 0 : (512 - lineItemNotes.length) | number }} character(s) left!</small>
                    </div>
                  </div>
                </div>
              </div>

              <div class="form-row text-center mt-1">
                <div class="form-group form-group-sm col-12 col-md-6 col-lg-4 offset-md-6 offset-lg-8">
                  <button type="button" class="btn btn-sm btn-primary btn-block" (click)="save()">
                    Save
                  </button>
                </div>
                <div class="form-group form-group-sm col-12 col-md-6 col-lg-4">
                  <button type="button" class="btn btn-sm btn-secondary btn-block" (click)="cancel()">
                    Cancel
                  </button>
                </div>
              </div>
            </mat-expansion-panel>
          </mat-accordion>
        </div>
      </div>
    </div>
  </div>
</div>
